Bug 1475784 - Useless dependency on perl(Email::Address)
Summary: Useless dependency on perl(Email::Address)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Email-MessageID
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-27 11:10 UTC by Petr Pisar
Modified: 2018-12-07 02:38 UTC (History)
3 users (show)

Fixed In Version: perl-Email-MessageID-1.406-10.fc30 perl-Email-MessageID-1.406-10.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 02:38:45 UTC


Attachments (Terms of Use)

Description Petr Pisar 2017-07-27 11:10:07 UTC
perl-Email-MessageID does not need Email::Address since 1.403 version. The module is not used anywhere in the code and Changes reads:

1.403     2013-08-13 09:11:47 America/New_York
          [This might break your code]
          no longer a subclass of Email::Address!

I recommend to remove the build- and run-time dependency on Email::Address.

Comment 1 Jan Kurik 2017-08-15 09:26:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Ben Cotton 2018-11-27 18:29:08 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora Update System 2018-11-28 10:09:01 UTC
perl-Email-MessageID-1.406-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2773a48c9

Comment 4 Fedora Update System 2018-11-29 03:17:56 UTC
perl-Email-MessageID-1.406-10.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2773a48c9

Comment 5 Fedora Update System 2018-12-07 02:38:45 UTC
perl-Email-MessageID-1.406-10.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.